Download all run outputs
curl --request POST \
--url https://api.melius.com/api/v1/node-runs/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"nodeRunIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.melius.com/api/v1/node-runs/download"
payload = { "nodeRunIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nodeRunIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.melius.com/api/v1/node-runs/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"filename": "<string>",
"size": 123
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Runs
Download all run outputs
POST
/
api
/
v1
/
node-runs
/
download
Download all run outputs
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Body
application/json
Body
Minimum array length:
1Last modified on July 9, 2026
⌘I